artdaq - Bug #25441

TransferWrapper Warning message spam
01/27/2021 11:29 AM - Eric Flumerfelt

Status: Closed Start date: 01/27/2021
Priority: Normal Due date:

Assignee: Eric Flumerfelt % Done: 0%
Category: Known Issues Estimated time: 0.00 hour
Target version: artdaq v3_09_05

Experiment: Mu2e Co-Assignees:

Description

The TransferWrapper class reports a warning each time its timeout expires without receiving data. With the default timeout of 0.1
seconds, this results in a lot of warning messages.

These messages should be deferred to a higher TRACE level and only periodically reported as warnings.

History

#1 - 01/27/2021 11:29 AM - Eric Flumerfelt
- Category set to Known Issues

- Experiment MuZ2e added

- Experiment deleted (-)

#2 - 01/27/2021 11:32 AM - Eric Flumerfelt

- Status changed from New to Resolved

Fixed on artdaqg:bugfix/25441_TransferWrapper_TimeoutMessages

#3 - 02/25/2021 02:47 PM - Gennadiy Lukhanin

- Status changed from Resolved to Reviewed

Branch bugfix/25441_TransferWrapper_TimeoutMessages was tested on the SBN-ND cluster with the ASCII fragment generator running at 0.1 Hz
and the timeoutinUsecs parameter was set to 10000 in the OM FHICL file; see details in run records for run# 655 on the SBND cluster.

#4 - 03/01/2021 12:54 PM - Eric Flumerfelt
- Target version set to artdaq v3_09_05

- Status changed from Reviewed to Closed
